Runtime Endpoints
Update Runtime
Update an existing runtime
PUT
/
workspaces
/
{workspace_id}
/
runtimes
/
{runtime_id}
Update runtime
curl --request PUT \
--url https://s-server-demo.siftd.ai/api/workspaces/{workspace_id}/runtimes/{runtime_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_token": "<string>",
"description": "<string>",
"is_private": true,
"managed_status": "<string>",
"managed_type": "<string>",
"name": "<string>",
"owner_id": "<string>",
"properties": {},
"runtime_id": "<string>",
"url": "<string>"
}
'import requests
url = "https://s-server-demo.siftd.ai/api/workspaces/{workspace_id}/runtimes/{runtime_id}"
payload = {
"auth_token": "<string>",
"description": "<string>",
"is_private": True,
"managed_status": "<string>",
"managed_type": "<string>",
"name": "<string>",
"owner_id": "<string>",
"properties": {},
"runtime_id": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_token: '<string>',
description: '<string>',
is_private: true,
managed_status: '<string>',
managed_type: '<string>',
name: '<string>',
owner_id: '<string>',
properties: {},
runtime_id: '<string>',
url: '<string>'
})
};
fetch('https://s-server-demo.siftd.ai/api/workspaces/{workspace_id}/runtimes/{runtime_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_token": "<string>",
"description": "<string>",
"is_private": true,
"managed_status": "<string>",
"managed_type": "<string>",
"name": "<string>",
"owner_id": "<string>",
"properties": {},
"runtime_id": "<string>",
"url": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Organization ID
Body
application/json
Runtime object
Was this page helpful?
⌘I